Skip to main content
GET
Get customer address

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string<uuid>
required
address_id
string<uuid>
required

Response

Successfully retrieved customer address

Customer Address Response Schema

id
string<uuid>
required

Address ID

customer_id
string<uuid>
required

Customer ID

is_default_billing
boolean
required

Whether this is the default billing address

is_default_shipping
boolean
required

Whether this is the default shipping address

line1
string | null

Street address line 1 (e.g., building number and street name)

line2
string | null

Street address line 2 (e.g., apartment, suite, unit number)

line3
string | null

Street address line 3 (additional address information)

city
string | null

City or locality name

state
string | null

State, province, or region

zip_code
string | null

Postal/ZIP code

country
string | null

Country name (e.g., 'United States')

country_code
string | null

Two-letter ISO country code (e.g., 'US', 'GB')

validation_status
string | null

Address validation status

connector_validation
Connector Validation · object | null

Validation data from external connector